﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Represents an association between an <see cref="CatalogItem"/> and group.
    /// </summary>
    /// <remarks>
    /// A <see cref="CatalogItem"/> can also represent a group or series.
    /// </remarks>
    public partial class ItemGroupMember
    {
        partial void OnCreated()
        {
            this.Created = DateTime.Now;
            this.Modified = DateTime.Now;
        }
    }
}
