﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Internal use only. Please ignore.
    /// </summary>
    [Serializable]
    public class RemoteRecommenderEventArgs : RecommenderEventArgs
    {

        /// <summary>
        /// Internal use only. Please ignore.
        /// </summary>
        /// <param name="additionalHierarchy">The additional hierarchy.</param>
        /// <param name="args">The <see cref="MyMediaProject.RecommenderSystem.Core.RecommenderEventArgs"/> instance containing the event data.</param>
        public RemoteRecommenderEventArgs(string[] additionalHierarchy, RecommenderEventArgs args)
        {
            this.AdditionalHierarchy = additionalHierarchy;
            this.Args = args;
        }

        /// <summary>
        /// Internal use only. Please ignore.
        /// </summary>
        /// <value>The additional hierarchy.</value>
        internal string[] AdditionalHierarchy
        {
            get;
            private set;
        }

        /// <summary>
        /// Internal use only. Please ignore.
        /// </summary>
        /// <value>The args.</value>
        public RecommenderEventArgs Args
        {
            get;
            private set;
        }
    }
}
