package nl.telin.mymedia.processor;

import java.util.Map;

/**
 * @author Wout.Slakhorst
 * helper class for Processors
 */
public abstract class AbstractProcessor<E, T> {
	public abstract void initialize(Map<String, String> params) throws ProcessorInitializeException;
	public abstract T process(E text) throws ProcessorException;
}
