﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Association of <see cref="CatalogItem"/> to a cluster.
    /// </summary>
    /// <remarks>
    /// Clusters are a form of Metadata Enrichment in which similar items are grouped together.
    /// </remarks>
    public partial class ClusterMember
    {
        partial void OnCreated()
        {
            this.Created = DateTime.Now;
            this.Modified = DateTime.Now;
        }
    }
}
