﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Catalogue item recommendation 
    /// </summary>
    public partial class CatalogItemRecommendation : ContentRecommendation
    {
        /// <summary>
        /// Constructor initializing the object that can be inserted into the DB next
        /// </summary>
        /// <param name="catalogItemId"></param>
        /// <param name="fromUser"></param>
        /// <param name="toUser"></param>
        public CatalogItemRecommendation(int catalogItemId, User fromUser, User toUser)
            : base(fromUser, toUser)
        {
            this.CatalogItemId = catalogItemId;
        }

        /// <summary>
        /// Constructor initializing the object that can be inserted into the DB next
        /// </summary>
        /// <param name="catalogItemId"></param>
        /// <param name="fromUser"></param>
        /// <param name="toExtUser"></param>
        public CatalogItemRecommendation(int catalogItemId, User fromUser, ExternalSystemUser toExtUser)
            : base(fromUser, toExtUser)
        {
            this.CatalogItemId = catalogItemId;
        }
    }
}
