﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Represents an association between a <see cref="Property"/> and a <see cref="User"/>.
    /// </summary>
    /// <remarks>
    ///  This functionality allows for generic name-value, or property bag, associations to be made to a <see cref="User"/>.
    /// </remarks>
    public partial class UserProperty
    {
        partial void OnCreated()
        {
            this.Created = DateTime.Now;
            this.Modified = DateTime.Now;
        }
    }
}
