﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Represents the text associated to a <see cref="CatalogItem"/> by a <see cref="User"/>.
    /// </summary>
    public partial class TagValue
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TagValue"/> class.
        /// </summary>
        /// <param name="tag">The tag.</param>
        public TagValue(string tag) : this()
        {
            this.Tag = tag;
        }
    }
}
