﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Provides data for the <see cref="RecommenderEvent"/>.
    /// </summary>
    [Serializable]
    public abstract class RecommenderEventArgs: EventArgs
    {
        /// <summary>
        /// Gets or sets the type.
        /// </summary>
        /// <value>The type.</value>
        public Type Type
        {
            get;
            internal set;
        }
    }
}
