﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyMediaProject.RecommenderSystem.Core
{
    /// <summary>
    /// Identifies a <see cref="Flow&lt;TCatalogItemType, TUserActionType&gt;"/>.
    /// </summary>
    [Serializable]
    public class FlowId : RecommenderId
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="FlowId"/> class.
        /// </summary>
        public FlowId()
            : base(Guid.NewGuid())
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="FlowId"/> class.
        /// </summary>
        /// <param name="id">The id.</param>
        public FlowId(Guid id)
            : base(id)
        {
        }
    }
}
