﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using MyMediaProject.RecommenderSystem.Core;

namespace RecommenderCoreTest
{
    public class FlowTestCancelPostFilter<TCatalogItemType> : IPostFilter<TCatalogItemType>
        where TCatalogItemType : CatalogItem
    {
        #region IPostFilter<TCatalogItemType> Members

        public IList<Prediction<TCatalogItemType>> PostFilter(System.Collections.ObjectModel.ReadOnlyCollection<Prediction<TCatalogItemType>> predictions)
        {
            return new List<Prediction<TCatalogItemType>>();
        }

        #endregion
    }
}
