﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using MyMediaProject.RecommenderSystem.Core;

namespace RecommenderCoreTest
{
    public class FlowTestCancelPreFilter<TCatalogItemType> : IPreFilter<TCatalogItemType>
        where TCatalogItemType : CatalogItem
    {
        #region IPreFilter<TCatalogItemType> Members

        public IQueryable<TCatalogItemType> PreFilter(IQueryable<TCatalogItemType> query)
        {
            return new List<TCatalogItemType>().AsQueryable();
        }

        #endregion
    }
}
